跳转到主要内容
GET
/
payment
/
open
/
institution
/
v1
/
pay
/
channelmanage
/
list
查询客户
curl --request GET \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/channelmanage/list \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "total": 217,
    "merchantChannelList": [
      {
        "channelId": "test",
        "desc": "备注",
        "channelType": "0",
        "address": "0x86608d3C9f979b98a3b2417216eD859d313E339D",
        "chain": "ETH",
        "createTime": "1735568326554",
        "updateTime": "1735568326554",
        "customFields": [
          {
            "code": "customCode",
            "name": "customName",
            "value": "customValue"
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 GET /payment/open/institution/v1/pay/channelmanage/list 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。 查询客户

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端 ID,在 GatePay 平台申请获取

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

用于请求校验的 HMAC-SHA256 签名

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

毫秒级时间戳,与服务端时间偏差不得超过 5 分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机 nonce,用于防止重放攻击

示例:

"9578"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

查询参数

channelId
string

客户名称,模糊搜索

示例:

"test"

desc
string

客户描述,模糊搜索

channelType
string

客户类型,可选值:0或1(0=个人;1=企业)

page
int
必填

开始页编号

count
int
必填

单页记录数

响应

200 - application/json

成功

merchantChannelList
object[]

客户列表